JavaFromScratch error in 14th hour

Tushar T tush at yahoo.com
Tue Nov 26 09:38:28 PST 2002


Calvin wrote:

>The error is in the attached file "compile.log".
>The exact procedure that I used to compile java is in the "Test.sh" file.
>
You are missing some of the patches at http://tushar.lfsforum.org. One 
of them patches ProxySupport5.cpp (I think the glibc-2.3.1).

>The error in general has to do with ProxySupport5.cpp, and google can't pick
>up the scent in a search when I try to investigate the problem.
>
>Also, about the "libstdc++-libc6.1-1.so.2" file, is the hint correct by
>doing this:
>ln -sf libstdc++-libc6.3-2.so.3 libstdc++-libc6.1-1.so.2
>shouldn't it be the other way around?
>  
>
The compatibility libstdc++ I have is from gcc-2.95.3. That file is 
libstdc++-libc6.3-2.so.3 while the precompiled JDK looks for 
libstdc++-libc6.1-1.so.2. Hence a link from former to the latter. The 
hint does say that make the symlink only if the java command reports an 
error. So if you have downloaded the library from the site mentioned in 
the hint, you won't need to make the symlink. But if you get the library 
from your gcc2 installation, you will need to make the symlink.

-- 
Tushar Teredesai
LFS ID: 1377
http://tushar.lfsforum.org/

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe blfs-support' in the subject header of the message



More information about the blfs-support mailing list